Issue124

classification
Title [Bug: 21.5-b28] msprinter error on non-MS system
Type defect Module core code 21.5
Severity some work obstructed Platform unix, N/A
Keywords Nosy List aidan
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason fixed
Superseder   Submitted 2007-10-17.12:21:25
Priority normal   Assigned To

Created on 2008-01-19.06:42:57 by robert, last changed 2011-08-26.08:17:50 by aidan.

Messages
msg748 [hidden] ([hidden]) Date: 2008-05-13.13:03:40
A solution is here:
http://mid.gmane.org/18473.37259.902815.897522@parhasard.net
msg157 [hidden] ([hidden]) Date: 2008-01-19.06:42:57
  Message-ID: <200710171221.l9HCLP6M025905@grendel.frinabulax.org>
================================================================
Dear Bug Team!

When I try to print a buffer, I now see two errors: 1) there is no longer any
pretty-printing option, and 2) standard printing returns the "Invalid constant:
Invalid device type, msprinter" error perhaps alluded to in the thread
http://calypso.tux.org/pipermail/xemacs-beta/2007-September/012317.html 

Although I doubt it is related, there appear to be some "odd" lisp shadows
(e.g. shadows from the same directories).

================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: Darwin grendel.frinabulax.org 8.10.0 Darwin Kernel Version 8.10.0: Wed May 23 16:50:59 PDT 2007; root:xnu-792.21.3~1/RELEASE_PPC Power Macintosh powerpc

./configure  '--with-mule' '--with-widgets=athena' '--with-athena=3d' '--with-dialogs=athena' '--with-scrollbars=lucid' '--without-debug' '--with-union-type' '--without-error-checking' '--with-x11' '--prefix=/Users/royar/usr/local' '--with-png' '--with-jpeg' '--with-tiff' '--with-xmu' '--with-xim=no' '--enable-sound=esd' '--disable-xfs' '--enable-dump-in-exec' '--with-modules' '--enable-external-widget' '--with-dynamic' '--disable-kkcc' '--disable-mc-alloc' '--enable-optimization' '--with-cflags-optimization=-Os -pipe -mcpu=970 -mtune=970 -mpim-altivec' '--with-site-runtime-libraries=/opt/local/lib:/usr/X11R6/lib' '--with-site-libraries=/opt/local/lib:/usr/X11R6/lib' '--with-xft=emacs,gauges,notabs,nomenubars' '--with-neon' '--with-curl' '--with-compiler=gcc-4.0' 'CPPFLAGS=-I/opt/local/include' 'LDFLAGS=-L/opt/local/lib' 'CFLAGS='

XEmacs 21.5-b28 "fuki" (+CVS-20071016) configured for `powerpc-apple-darwin8.10.0'.

Compilation Environment and Installation Defaults:
  Source code location:              /Users/royar/src/xemacs
  Installation prefix:               /Users/royar/usr/local
  Additional libraries:              /opt/local/lib /usr/X11R6/lib
  Operating system description file: `s/darwin.h'
  Machine description file:          `m/powerpc.h'
  Compiler version:                  powerpc-apple-darwin8-gcc-4.0.1 (GCC) 4.0.1 (Apple Computer, Inc. build 5367)
    - GCC specs file:                specs.
    - Compiler command:              gcc-4.0   -Wall -Wno-switch -Wundef -Wsign-compare -Wno-char-subscripts -Wpacked -Wpointer-arith -Wunused-parameter -g -Os -pipe -mcpu=970 -mtune=970 -mpim-altivec 
  libc version:                      
  Relocating allocator for buffers:  no
  GNU version of malloc:             no
    - The GNU allocators don't work with this system configuration.

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 /usr/X11R6/include
    - X Windows libraries location:               /usr/X11R6/lib
    - Handling WM_COMMAND properly.
    - Using fontconfig to manage fonts.
    - Compiling in support for Xft antialiased fonts (EXPERIMENTAL).
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw3d
    - Athena library to link:                     Xaw3d
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.
    - Using Xft to render antialiased fonts in progress bars.
      WARNING: This feature will be replaced with a face.
      WARNING: This feature not yet implemented; setting ignored.

TTY:
  Compiling in support for ncurses.

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.

Sound:
  Compiling in support for ESD (Enlightened Sound Daemon).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for GNU DBM.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).

Mail:
  Compiling in support for "file" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Using the union type for Lisp_Objects.
  WARNING: ---------------------------------------------------------
  WARNING: This tends to trigger compiler bugs, especially when
  WARNING: combined with MULE and ERROR_CHECKING.  Crashes have
  WARNING: been seen with various versions of GCC (up to about 2.95),
  WARNING: and recently with Visual C++ as well (mid-2003).
  WARNING: More recent versions may be safer, or not.
  WARNING: ---------------------------------------------------------
  Using the new portable dumper.
  Dumping into executable.

Load-Path Lisp Shadows:
----------------------
(/Users/royar/usr/local/share/xemacs/site-lisp/worklog
/Users/royar/usr/local/share/xemacs/site-lisp/worklog
/Users/royar/usr/local/share/xemacs/site-lisp/tcl-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/tcl-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/spread
/Users/royar/usr/local/share/xemacs/site-lisp/spread
/Users/royar/usr/local/share/xemacs/site-lisp/skribe
/Users/royar/usr/local/share/xemacs/site-lisp/skribe
/Users/royar/usr/local/share/xemacs/site-lisp/psgml-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/psgml-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/notes-xemacs
/Users/royar/usr/local/share/xemacs/site-lisp/notes-xemacs
/Users/royar/usr/local/share/xemacs/site-lisp/notes-variables
/Users/royar/usr/local/share/xemacs/site-lisp/notes-variables
/Users/royar/usr/local/share/xemacs/site-lisp/notes-url
/Users/royar/usr/local/share/xemacs/site-lisp/notes-url
/Users/royar/usr/local/share/xemacs/site-lisp/notes-mode
/Users/royar/usr/local/share/xemacs/site-lisp/notes-mode
/Users/royar/usr/local/share/xemacs/site-lisp/notes-index-mode
/Users/royar/usr/local/share/xemacs/site-lisp/notes-index-mode
/Users/royar/usr/local/share/xemacs/site-lisp/notes-first
/Users/royar/usr/local/share/xemacs/site-lisp/notes-first
/Users/royar/usr/local/share/xemacs/site-lisp/notes-emacs
/Users/royar/usr/local/share/xemacs/site-lisp/notes-emacs
/Users/royar/usr/local/share/xemacs/site-lisp/notes-bootstrap
/Users/royar/usr/local/share/xemacs/site-lisp/notes-bootstrap
/Users/royar/usr/local/share/xemacs/site-lisp/notes-aux
/Users/royar/usr/local/share/xemacs/site-lisp/notes-aux
/Users/royar/usr/local/share/xemacs/site-lisp/multr
/Users/royar/usr/local/share/xemacs/site-lisp/multr
/Users/royar/usr/local/share/xemacs/site-lisp/html-mine
/Users/royar/usr/local/share/xemacs/site-lisp/html-mine
/Users/royar/usr/local/share/xemacs/site-lisp/filladapt
/Users/royar/usr/local/share/xemacs/site-lisp/filladapt
/Users/royar/usr/local/share/xemacs/site-lisp/color-theme
/Users/royar/usr/local/share/xemacs/site-lisp/color-theme
/Users/royar/usr/local/share/xemacs/site-lisp/cc-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/cc-mode-patch
/Users/royar/usr/local/share/xemacs/site-lisp/boxquote
/Users/royar/usr/local/share/xemacs/site-lisp/boxquote
/Users/royar/usr/local/share/xemacs/site-lisp/aliases
/Users/royar/usr/local/share/xemacs/site-lisp/aliases
/Users/royar/usr/local/share/xemacs/site-lisp/filladapt
/Users/royar/usr/local/share/xemacs/xemacs-packages/lisp/text-modes/filladapt
/Users/royar/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/Users/royar/usr/local/share/xemacs-21.5-b28/lisp/regexp-opt
/Users/royar/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/Users/royar/usr/local/share/xemacs-21.5-b28/lisp/easy-mmode)

Internationalization Settings:
-------------------------

Environment:

  Value of LC_ALL      : C
  Value of LC_COLLATE  : en_US.ISO8859-1
  Value of LC_CTYPE    : en_US.ISO8859-1
  Value of LC_MESSAGES : en_US.ISO8859-1
  Value of LC_MONETARY : en_US.ISO8859-1
  Value of LC_NUMERIC  : en_US.ISO8859-1
  Value of LC_TIME     : en_US.ISO8859-1
  Value of LANG        : C

Lisp locale settings:

  current-language-environment      => "English"
  default-buffer-file-coding-system => iso-8859-1
  default-process-coding-system     => (undecided . iso-8859-1)
  (current-locale)                  => "C"
  keyboard-coding-system            => iso-8859-1
  terminal-coding-system            => iso-8859-1
  (coding-priority-list)            =>
    (no-conversion utf-16-little-endian-bom utf-16-bom utf-8-bom iso-7 utf-8
    iso-8-1 iso-8-2 iso-8-designate iso-lock-shift shift-jis big5
    utf-16-little-endian utf-16 ucs-4)

Coding system aliases:

  'native                              is aliased to iso-8859-1
  'file-name                           is aliased to utf-8
  'mswindows-multibyte-system-default  is not a coding system alias

Installed XEmacs Packages:
-------------------------
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xemacs-devel ver: 1.76 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.11 upstream: No-Upstream-Ver)
(vm ver: 7.26 upstream: 7.19)
(view-process ver: 1.13 upstream: 2.4)
(vc ver: 1.44 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(text-modes ver: 1.95 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(slider ver: 1.15 upstream: 0.3x1)
(sh-script ver: 1.22 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(re-builder ver: 1.05 upstream: 1.20)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.45 upstream: 1.3.2)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.14 upstream: No-Upstream-Ver)
(perl-modes ver: 1.09 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.4 upstream: No-Upstream-Ver)
(oo-browser ver: 1.05 upstream: 4.08)
(net-utils ver: 1.53 upstream: N/A)
(mmm-mode ver: 1.02 upstream: 0.4.7)
(mew ver: 1.19 upstream: 1.94.2)
(mail-lib ver: 1.79 upstream: No-Upstream-Ver)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.15 upstream: 2.111)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.17 upstream: 5.0)
(hm--html-menus ver: 1.24 upstream: 5.9)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.05 upstream: No-Upstream-Ver)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(footnote ver: 1.16 upstream: 0.18x)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.12 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.11 upstream: 1.0)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.34 upstream: 1.24)
(edit-utils ver: 2.38 upstream: No-Upstream-Ver)
(ediff ver: 1.71 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.08 upstream: 0.1)
(dired ver: 1.17 upstream: 7.13)
(dictionary ver: 1.16 upstream: 1.8)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.34 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(apel ver: 1.33 upstream: 10.6)

Installed Modules:
-----------------

Features:
--------

(mail-abbrevs xemacsbug shadow sendmail rfc822 gnuserv javascript-mode comint
ring cc-mode cc-fonts cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs apache-mode css-mode edmacro apropos cperl-mode m4-mode regexp-opt
sh-script executable blink-cursor font-lock paren blink-paren mthomas-backup
advice advice-preload font disp-table notes-variables notes-xemacs efs-cu
filladapt iso-acc iso-syntax flyspell ispell rtf-support cus-face tempo
sgml-mode psgml psgml-html pending-del recent-files saveconf saveplace
xslt-process-autoloads xslide-autoloads xemacs-devel-autoloads
xemacs-base-autoloads vm-autoloads view-process-autoloads vc-autoloads
time-autoloads text-modes-autoloads texinfo-autoloads strokes-autoloads
speedbar-autoloads sounds-wav-autoloads sounds-au-autoloads slider-autoloads
sh-script-autoloads sgml-autoloads re-builder-autoloads psgml-dtds-autoloads
psgml-autoloads ps-print-autoloads prog-modes-autoloads perl-modes-autoloads
pcomplete-autoloads pc-autoloads os-utils-autoloads oo-browser-autoloads
net-utils-autoloads mmm-mode-autoloads mew-autoloads mail-lib-autoloads
ispell-autoloads ilisp-autoloads igrep-autoloads ibuffer-autoloads
hyperbole-autoloads hm--html-menus-autoloads gnats-autoloads
general-docs-autoloads fsf-compat-autoloads footnote-autoloads eterm-autoloads
eshell-autoloads escreen-autoloads emerge-autoloads elib-autoloads
eieio-autoloads efs-autoloads edit-utils-autoloads ediff-autoloads
edebug-autoloads ecrypto-autoloads ecb-autoloads docbookide-autoloads
dired-autoloads dictionary-autoloads cookie-autoloads cc-mode-autoloads
calendar-autoloads calc-autoloads c-support-autoloads apel-autoloads
modules-autoloads mule-autoloads auto-autoloads auto-show fontl-hooks canna-leim
tibetan slovenian czech romanian lao devanagari indian cyrillic code-cmds
gutter-items menubar-items x-menubar mode-motion mouse behavior itimer auto-save
lisp-mode easymenu easy-mmode iso8859-1 page buff-menu lib-complete loadhist
cus-file derived newcomment rsz-minibuf env text-props fontconfig frame obsolete
cus-start custom widget cl-extra cl cl-19 packages backquote unicode font-mgr
lucid-scrollbars cut-buffer xft-fonts lucid-menubars external-widget
athena-dialogs x c-balloon-help tty-frames tty toolbar esd-sound scrollbar
unix-processes multicast network-streams subprocesses modules
menu-accelerator-support menubar berkeley-db dbm md5 xemacs mule gutter tiff png
gif jpeg xpm xbm lisp-float-type file-coding darwin dialog devices window-system
base64)

Recent keystrokes:
-----------------

misc-user misc-user ESC x r e p o r t - x e m TAB 
RET

Recent messages (most recent first):
-----------------------------------

Parsing /Users/royar/.mailrc... done
Fontifying *mail*... done.
Parsing /Users/royar/.mailrc...
Fontifying *mail*...
Loading xemacsbug...done
Loading xemacsbug...
Invalid constant: Invalid device type, msprinter
XEmacs 21.5  (beta28) "fuki" (+CVS-20071016) [Lucid] (powerpc-apple-darwin8.10.0, Mule) of Wed Oct 17 2007 on grendel.frinabulax.org
Fontifying presidentletter.pl... done.
Loading gnuserv...done
Loading gnuserv...
Loading /Users/royar/usr/local/share/xemacs/site-lisp/psgml-mode-patch.elc...done
Loading /Users/royar/usr/local/share/xemacs/site-lisp/psgml-mode-patch.elc...
Loading /Users/royar/usr/local/share/xemacs/site-lisp/tcl-mode-patch.elc...done
Loading /Users/royar/usr/local/share/xemacs/site-lisp/tcl-mode-patch.elc...
Loading /Users/royar/usr/local/share/xemacs/site-lisp/cc-mode-patch.elc...done
Loading /Users/royar/usr/local/share/xemacs/site-lisp/cc-mode-patch.elc...
Loading /Users/royar/usr/local/share/xemacs/site-lisp/html-mine.elc...done
Loading /Users/royar/usr/local/share/xemacs/site-lisp/html-mine.elc...
Loading javascript-mode...done
History
Date User Action Args
2011-08-26 08:17:50aidansetstatus: assigned -> closed
2008-05-13 13:03:40aidansetstatus: new -> assigned
assignedto: aidan
reason: fixed
type: defect
severity: some work obstructed
platform: + unix, N/A
nosy: + aidan
messages: + msg748
module: + core code 21.5
priority: normal
2008-01-19 06:42:57robertcreate